require	'mxx_ru/cpp'

require	'pcre/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Lib_target.new( "pcre/prj.rb" ) {
		target( "lib/pcre" + Pcre::VERSION )

		define( "PCRE_STATIC", Mxx_ru::Cpp::Target::OPT_UPSPREAD )
		include_path( "pcre", Mxx_ru::Cpp::Target::OPT_UPSPREAD )

		c_source( "get.c" )
		c_source( "maketables.c" )
		c_source( "pcre.c" )
		c_source( "study.c" )
	}
)
